Turn on Fade effect
Closed, InvalidPublic

Description

The default setting for windows is to instantly appear and disappear with no animation. For regular users, this is often fairly jarring, and subtle animations are usually quite appreciated.

KWin offers an effect to do this: Glide. It's in System Settings > Desktop Behavior > Desktop Effects > Glide. It defaults to off; we should turn it on. Having this on is a really pleasant, humane effect that provides a sense of confidence.

ngraham created this task.Feb 1 2018, 7:36 PM

Now that I have compositing turned back on, I see the glide effect. I had missed that; I think we used to have it on by default.

So +1 to having that on again by default.

ach added a subscriber: ach.Feb 2 2018, 12:47 PM

I turn it on and the frist window I closed, 'vanished' into a icon in dolphin that was behind the window. That was quite irretating.
The current animation is IMHO also not very nice (personal impression)

I'm in favour of an open/close animation, but not as currently implemented. Instead fade in/out with translucy? But I'm sure
VDG or the Usability Experts have better suggestion.

0 (+1 for an animation, -1 due to currently implemented animation)

ach added a comment.Feb 2 2018, 1:24 PM

As open animation: maybe like the unminimize animation with the origin wherever the click (or return in krunner) happened?

Will have to test this. I turn most animations off by default, so will have to try in a fresh profile. Unless it is VERY subtle, I am sceptical, but you never know......

How about the Fade effect, then? It's a lot more subtle than Glide. I do think some sort of animation would be nice here.

+1 for Fade, I think it's much more pleasing and professional.

But, in my Kubuntu 17.10 (with backports PPA at least), Fade is default for me. So, you should have that already?

Hi,

As the initial author of the glide effect ( then code was cleaned and improved by the kwin team ), there was something I should have done at the time : Change the defaults !
I never really planned it to be like in the default manner.

It should be with values of: Glide Effect should be 2 out of 3 position, and Glide Angle should be a 0.

If you guys enable it by default can you please default it to those settings ?

Thanks for weighing in, Alex. Would you be willing to fix the defaults upstream?

As for us here in Kubuntu-land, we should do Fade.

ngraham renamed this task from Turn on Glide effect to Turn on Fade effect.Apr 5 2018, 8:28 PM

I have been away from development for a long time. It was very diferently in the kde3 era :)

I think its just changing this file : https://github.com/KDE/kwin/blob/master/effects/glide/glide.kcfg,

from

<entry name="GlideEffect" type="Int">
            <default>0</default>
        </entry>
        <entry name="GlideAngle" type="Int">
            <default>-90</default>
        </entry>

to

<entry name="GlideEffect" type="Int">
            <default>2</default>
        </entry>
        <entry name="GlideAngle" type="Int">
            <default>0</default>
        </entry>

who should i annoy to change that ? :)

I have been away from development for a long time. It was very diferently in the kde3 era :)

I think its just changing this file : https://github.com/KDE/kwin/blob/master/effects/glide/glide.kcfg,

from

<entry name="GlideEffect" type="Int">
            <default>0</default>
        </entry>
        <entry name="GlideAngle" type="Int">
            <default>-90</default>
        </entry>

to

<entry name="GlideEffect" type="Int">
            <default>2</default>
        </entry>
        <entry name="GlideAngle" type="Int">
            <default>0</default>
        </entry>

who should i annoy to change that ? :)

Patches are submitted with Phabricator now: https://community.kde.org/Infrastructure/Phabricator

I'd be happy to walk you through it.

thanks.

I made two change requests:
https://phabricator.kde.org/D11976 and
https://phabricator.kde.org/D11977

Second one is to make the effect faster, to not be so long ( 350 -> 250 )

zzag added a subscriber: zzag.Apr 6 2018, 12:50 AM

Isn't the fade effect already turned on?

ngraham closed this task as Invalid.May 6 2018, 2:55 AM

Heh, of course it is! Whoops.

I really like those effects, @zzag, especially appear and disappear 2. Might be worth trying to get those upstreamed, or at least offering them on the KDE store so people can get them via Get hot New Stuff.

zzag added a comment.EditedMay 6 2018, 7:17 PM

Might be worth trying to get those upstreamed,

No, I won't do that.

or at least offering them on the KDE store so

I published them, take a look at section "KWin Effects". ;-)

The biggest problem is that those effects are written in C++ so they have to be compiled. To make easier to install them, I already packaged them for Fedora and Arch; Debian and Ubuntu(Kubuntu, Neon) is in the TODO list.

people can get them via Get hot New Stuff.

It installs only QML stuff, right?